apiVersion: jaegertracing.io/v1
kind: Jaeger
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"jaegertracing.io/v1","kind":"Jaeger","metadata":{"annotations":{"maistra.io/mesh-generation":"1.1.3-1"},"labels":{"app.kubernetes.io/component":"tracing","app.kubernetes.io/instance":"istio-system","app.kubernetes.io/managed-by":"maistra-istio-operator","app.kubernetes.io/name":"tracing","app.kubernetes.io/part-of":"istio","app.kubernetes.io/version":"1.1.3-1","chart":"tracing","heritage":"Tiller","maistra-version":"1.1.3","maistra.io/owner":"istio-system","release":"istio"},"name":"jaeger","namespace":"istio-system","ownerReferences":[{"apiVersion":"maistra.io/v1","blockOwnerDeletion":true,"controller":true,"kind":"ServiceMeshControlPlane","name":"basic-install","uid":"6c3064ac-735d-46e3-a999-a2da7dda6e23"}]},"spec":{"affinity":{"nodeAffinity":{"preferredDuringSchedulingIgnoredDuringExecution":[{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["amd64"]}]},"weight":2},{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["ppc64le"]}]},"weight":2},{"preference":{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["s390x"]}]},"weight":2}],"requiredDuringSchedulingIgnoredDuringExecution":{"nodeSelectorTerms":[{"matchExpressions":[{"key":"beta.kubernetes.io/arch","operator":"In","values":["amd64","ppc64le","s390x"]}]}]}}},"agent":{"annotations":null},"collector":{"annotations":null},"ingress":{"annotations":null,"enabled":true,"openshift":{"htpasswdFile":"/etc/proxy/htpasswd/auth","sar":"{\"namespace\": \"istio-system\", \"resource\": \"pods\", \"verb\": \"get\"}"},"security":"oauth-proxy"},"query":{"annotations":null,"options":{"query":{"base-path":"/"}}},"resources":{"limits":null,"requests":{"cpu":"10m","memory":"128Mi"}},"storage":{"elasticsearch":{"nodeCount":1,"nodeSelector":null,"resources":{"limits":{"memory":"1Gi"},"requests":{"cpu":"500m","memory":"512Mi"}}},"type":"elasticsearch"},"strategy":"production","volumeMounts":[{"mountPath":"/etc/proxy/htpasswd","name":"secret-htpasswd"},{"mountPath":"/etc/pki/ca-trust/extracted/pem/","name":"trusted-ca-bundle","readOnly":true}],"volumes":[{"name":"secret-htpasswd","secret":{"secretName":"htpasswd"}},{"configMap":{"defaultMode":420,"items":[{"key":"ca-bundle.crt","path":"tls-ca-bundle.pem"}],"name":"trusted-ca-bundle","optional":true},"name":"trusted-ca-bundle"}]}}
    maistra.io/mesh-generation: 1.1.3-1
  creationTimestamp: "2020-06-25T16:34:51Z"
  generation: 3
  labels:
    app.kubernetes.io/component: tracing
    app.kubernetes.io/instance: istio-system
    app.kubernetes.io/managed-by: maistra-istio-operator
    app.kubernetes.io/name: tracing
    app.kubernetes.io/part-of: istio
    app.kubernetes.io/version: 1.1.3-1
    chart: tracing
    heritage: Tiller
    jaegertracing.io/operated-by: openshift-operators.jaeger-operator
    maistra-version: 1.1.3
    maistra.io/owner: istio-system
    release: istio
  name: jaeger
  namespace: istio-system
  ownerReferences:
  - apiVersion: maistra.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: ServiceMeshControlPlane
    name: basic-install
    uid: 6c3064ac-735d-46e3-a999-a2da7dda6e23
  resourceVersion: "590799"
  selfLink: /apis/jaegertracing.io/v1/namespaces/istio-system/jaegers/jaeger
  uid: e48e6870-3bcd-4f5a-a253-ac160ad9b649
spec:
  affinity:
    nodeAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
      - preference:
          matchExpressions:
          - key: beta.kubernetes.io/arch
            operator: In
            values:
            - amd64
        weight: 2
      - preference:
          matchExpressions:
          - key: beta.kubernetes.io/arch
            operator: In
            values:
            - ppc64le
        weight: 2
      - preference:
          matchExpressions:
          - key: beta.kubernetes.io/arch
            operator: In
            values:
            - s390x
        weight: 2
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchExpressions:
          - key: beta.kubernetes.io/arch
            operator: In
            values:
            - amd64
            - ppc64le
            - s390x
  agent:
    options: {}
    resources: {}
  allInOne:
    options: {}
    resources: {}
  collector:
    options: {}
    resources: {}
  ingester:
    options: {}
    resources: {}
  ingress:
    enabled: true
    openshift:
      htpasswdFile: /etc/proxy/htpasswd/auth
      sar: '{"namespace": "istio-system", "resource": "pods", "verb": "get"}'
    options: {}
    resources: {}
    security: oauth-proxy
  query:
    options:
      query:
        base-path: /
    resources: {}
  resources:
    requests:
      cpu: 10m
      memory: 128Mi
  sampling:
    options: {}
  storage:
    cassandraCreateSchema: {}
    dependencies:
      resources: {}
      schedule: 55 23 * * *
    elasticsearch:
      nodeCount: 1
      redundancyPolicy: ZeroRedundancy
      resources:
        limits:
          memory: 1Gi
        requests:
          cpu: 500m
          memory: 512Mi
      storage: {}
    esIndexCleaner:
      enabled: true
      numberOfDays: 7
      resources: {}
      schedule: 55 23 * * *
    esRollover:
      resources: {}
      schedule: 0 0 * * *
    options: {}
    type: elasticsearch
  strategy: production
  ui:
    options:
      dependencies:
        menuEnabled: false
      menu:
      - items:
        - label: Documentation
          url: https://access.redhat.com/documentation/en-us/openshift_container_platform/4.3/html/jaeger/index
        label: About
      - anchorTarget: _self
        label: Log Out
        url: /oauth/sign_in
  volumeMounts:
  - mountPath: /etc/proxy/htpasswd
    name: secret-htpasswd
  - mountPath: /etc/pki/ca-trust/extracted/pem/
    name: trusted-ca-bundle
    readOnly: true
  volumes:
  - name: secret-htpasswd
    secret:
      defaultMode: 420
      secretName: htpasswd
  - configMap:
      defaultMode: 420
      items:
      - key: ca-bundle.crt
        path: tls-ca-bundle.pem
      name: trusted-ca-bundle
      optional: true
    name: trusted-ca-bundle
status:
  phase: ""
  version: 1.17.3
